> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/customs-catalog-api/fulfillment-api/api-methods/confirm-a-pick-and-pack-operation.md).

# Confirm a Pick & Pack Operation

Used by a 3PL to confirm that an order has been picked, packed, and is ready for shipment. The confirmation includes timestamps and a detailed response payload describing the pick/pack outcome. If the request is accepted for processing, the <mark style="color:$success;">`202`</mark> - **Accepted** response is returned.

### JSON Schema

{% code expandable="true" %}

```json
{
  "confirmationId":       "string",           // [REQUIRED] unique per pick/pack event
  "confirmationDateTime": "2024-11-06T10:22:00Z", // ISO 8601 — pack completion time
  "eswOrderReference":    "string",           // [REQUIRED] ESW order ref
  "tenantCode":           "string",           // [REQUIRED] brand tenant code
  "pickPackResponse": {                        // [REQUIRED]
    "status":         "Confirmed",          // [REQUIRED] see PickPackResponseStatus
    "failureReason":  "None",               // see PickPackProviderFailureReason
    "problemMessage": "string",             // human-readable failure description
    "itemsResult": [
      {
        "productCode":       "string",         // SKU
        "quantityConfirmed": 0,               // units successfully packed
        "quantityFailed":    0,               // units that failed
        "status":            "Success",        // Created|Success|Failed|PartialResult
        "failureReason":     "NotDefined",     // see _3PLItemFailureReason
        "problemMessage":   "string"          // item-level description
      }
    ]
  }
}
```

{% endcode %}

## Confirm a pick and pack operation.

> Used by a 3PL to confirm that an order has been picked, packed, and is ready for shipment. The confirmation includes timestamps and a detailed response payload describing the pick/pack outcome.

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"servers":[{"url":"https://api.test.esw.com"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Please insert JWT with Bearer into field"}},"schemas":{"ValidationProblemDetails":{"type":"object","properties":{"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"type":{"type":"string"},"title":{"type":"string"},"status":{"format":"int32","type":"integer"},"detail":{"type":"string"},"instance":{"type":"string"}},"additionalProperties":{}},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string"},"title":{"type":"string"},"status":{"format":"int32","type":"integer"},"detail":{"type":"string"},"instance":{"type":"string"}},"additionalProperties":{}},"PickPackConfirm":{"required":["confirmationId","eswOrderReference","pickPackResponse","tenantCode"],"type":"object","properties":{"confirmationId":{"type":"string"},"confirmationDateTime":{"format":"date-time","type":"string"},"eswOrderReference":{"type":"string"},"tenantCode":{"type":"string"},"pickPackResponse":{"$ref":"#/components/schemas/PickPackResponse"}},"additionalProperties":false},"PickPackResponse":{"required":["status"],"type":"object","properties":{"status":{"$ref":"#/components/schemas/PickPackResponseStatus"},"failureReason":{"$ref":"#/components/schemas/PickPackProviderFailureReason"},"problemMessage":{"type":"string"},"itemsResult":{"type":"array","items":{"$ref":"#/components/schemas/ItemProviderResponse"}}},"additionalProperties":false},"PickPackResponseStatus":{"enum":["AcceptedForProcessing","PartialResult","Confirmed","Failed","BadRequest","BadAddress","TimeOut"],"type":"string"},"PickPackProviderFailureReason":{"enum":["None","TransientError","BadAddress","TimeOut","_3PLNotConfigured"],"type":"string"},"ItemProviderResponse":{"type":"object","properties":{"productCode":{"type":"string"},"quantityFailed":{"format":"int32","type":"integer"},"quantityConfirmed":{"format":"int32","type":"integer"},"status":{"$ref":"#/components/schemas/_3PlProviderItemStatus"},"failureReason":{"$ref":"#/components/schemas/_3PLItemFailureReason"},"problemMessage":{"type":"string"}},"additionalProperties":false},"_3PlProviderItemStatus":{"enum":["Created","Success","Failed","PartialResult"],"type":"string"},"_3PLItemFailureReason":{"enum":["NotDefined","NotFound","CancelledItem","OperationalCancel","Damaged","ReallocatedExclude","EndOfDay"],"type":"string"}}},"paths":{"/v1/PickPack/Confirm":{"post":{"tags":["PickPack"],"summary":"Confirm a pick and pack operation.","description":"Used by a 3PL to confirm that an order has been picked, packed, and is ready for shipment. The confirmation includes timestamps and a detailed response payload describing the pick/pack outcome.","responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}},"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/PickPackConfirm"}},"application/json":{"schema":{"$ref":"#/components/schemas/PickPackConfirm"}},"text/json":{"schema":{"$ref":"#/components/schemas/PickPackConfirm"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PickPackConfirm"}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/customs-catalog-api/fulfillment-api/api-methods/confirm-a-pick-and-pack-operation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
